%define upstream_name    Authen-Captcha
%define upstream_version 1.024

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for creating captcha's to verify the human element in transactions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(GD)
BuildRequires: perl(String::Random)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 08 2014 jquelin <jquelin> 1.24.0-1.mga4
+ Revision: 612821
- update to 1.024 - fix security issue (mga#13165)

* Fri Oct 18 2013 umeabot <umeabot> 1.23.0-3.mga4
+ Revision: 509300
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.23.0-2.mga3
+ Revision: 363237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 19 2012 kharec <kharec> 1.23.0-1.mga3
+ Revision: 261901
- imported package perl-Authen-Captcha


* Tue Jun 19 2012 cpan2dist 1.023-1mga
- initial mageia release, generated with cpan2dist
